import { Layout, Point } from "./layout.ts";
import { EdgePlaceholder } from "./placeholders.ts";
type Engine = "circo" | "dot" | "fdp" | "neato" | "osage" | "patchwork" | "twopi";
export declare class Graphviz extends Layout {
    _engine: Engine;
    _wasmFolder: string;
    constructor(graph: any, engine: Engine, wasmFolder: string);
    start(): Promise<this>;
    edgePath(ep: EdgePlaceholder, curveDepth: number): {
        path: string;
        labelPos: Point;
    };
}
export {};
